#!/bin/sh
#[gghibo]

release=2017.07
name=glmark2

if [ -d "$(pwd)/glmark2" ]; then
	pushd glmark2
	git pull
	popd
else
	git clone https://github.com/glmark2/glmark2.git
fi

pushd glmark2

# abbreviated githash
githash=$(git log -n 1 --pretty='format:%h')

# git last commit date
gitdate=$(git log -n 1 --pretty='format:%cd' --date=format:'%Y-%m-%d %H:%M:%S')

# choosen suffix like glmark2-2014.03-20160914.git.f413c5b.tar.xz
gitsuffix=$(git log -n 1 --pretty='format:%cd.%h' --date=format:'%Y%m%d.git')

# extract archive but don't change internal prefix
release=$(git describe --tags --abbrev=0)
git archive --prefix="${name}-${release}/" HEAD > ../${name}-${release}-${gitsuffix}.tar

popd

# compress at best xz compress level
xz -v -T0 -9e -f ${name}-${release}-${gitsuffix}.tar
